Contents
Index 🔎︎

# DateValue Function

Returns a date value from a date string. The date string is a complete date in a single numeric value. You can also use this serial number to determine the difference between two dates.

## Syntax:

    DateValue [(date)]

## დაბრუნებული მნიშვნელობა:

თარიღი

## Parameters:

Date: String expression that contains the date that you want to calculate. In contrast to the DateSerial function that passes years, months and days as separate numeric values, the DateValue function requests the date string to be according to either one of the date acceptance patterns defined for your locale setting (see LibreOffice - Preferences Tools - Options - Language Settings - Languages) or to ISO date format (momentarily, only the ISO format with hyphens, e.g. "2012-12-31" is accepted).

## Error codes:

D'oh! You found a bug (text/sbasic/shared/00000003.xhp#err5 not found).

## მაგალითი:

    Sub ExampleDateValue
        MsgBox DateValue("12/02/2011")
    End Sub